## golang-github-go-redis-redis 6.15.0

=== Makefile ===
all: testdeps
	go test ./...
	go test ./... -short -race
	env GOOS=linux GOARCH=386 go test ./...
	go vet
	go get github.com/gordonklaus/ineffassign
	ineffassign .

testdeps: testdata/redis/src/redis-server

bench: testdeps
	go test ./... -test.run=NONE -test.bench=. -test.benchmem

.PHONY: all test testdeps bench

testdata/redis:
	mkdir -p $@
	wget -qO- https://github.com/antirez/redis/archive/unstable.tar.gz | tar xvz --strip-components=1 -C $@

testdata/redis/src/redis-server: testdata/redis
	sed -i.bak 's/libjemalloc.a/libjemalloc.a -lrt/g' $</src/Makefile
	cd $< && make all

## golang-github-go-redis-redis 6.7.2

=== debian/changelog ===
golang-github-go-redis-redis (6.7.2-1) unstable; urgency=medium

  * New upstream version

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 18 Oct 2017 17:19:57 +0300

golang-github-go-redis-redis (6.7.1-1) unstable; urgency=medium

  * New upstream version
  * Add Apache-2.0 copyrights
  * Bump Standards-Version, no changes needed

 -- Christos Trochalakis <ctrochalakis@debian.org>  Fri, 13 Oct 2017 11:14:15 +0300

golang-github-go-redis-redis (6.7.0-1) unstable; urgency=medium

  * Initial release (Closes: #876730)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 26 Sep 2017 14:54:17 +0300

=== debian/control ===
Source: golang-github-go-redis-redis
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Christos Trochalakis <ctrochalakis@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-ginkgo-dev,
               golang-gomega-dev,
               redis-server
Standards-Version: 4.1.1
Homepage: https://github.com/go-redis/redis
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-go-redis-redis.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-go-redis-redis.git
XS-Go-Import-Path: github.com/go-redis/redis
Testsuite: autopkgtest-pkg-go

Package: golang-github-go-redis-redis-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-ginkgo-dev,
         golang-gomega-dev
Description: Type safe Redis client for Go
 Go Redis supports:
 .
  - Automatic connection pooling with circuit breaker
  - Pub/Sub
  - Transactions
  - Pipeline
  - Scripting
  - Timeouts
  - Redis Sentinel
  - Redis Cluster
  - Ring
  - Instrumentation
  - Cache friendly
  - Rate limiting
  - Distributed Locks

## golang-github-go-redis-redis 6.7.4

=== debian/changelog ===
golang-github-go-redis-redis (6.7.4-1) unstable; urgency=medium

  * New upstream version 6.7.4
  * Bump Standards-Version, no changes needed

 -- Christos Trochalakis <ctrochalakis@debian.org>  Fri, 15 Dec 2017 08:43:08 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                golang-ginkgo-dev,
                golang-gomega-dev,
                redis-server
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: https://github.com/go-redis/redis
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-go-redis-redis.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-go-redis-redis.git

## golang-github-go-redis-redis 6.9.2

=== debian/changelog ===
golang-github-go-redis-redis (6.9.2-2) unstable; urgency=medium

  * d/patches/fix-build-on-32-bit-arch.patch: backport fix from upstream git.
  * Add myself to uploaders.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 08 Mar 2018 16:00:20 +1300

golang-github-go-redis-redis (6.9.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version, no changes needed
  * Switch to debhelper 11

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 28 Feb 2018 11:53:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Christos Trochalakis <ctrochalakis@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Christos Trochalakis <ctrochalakis@debian.org>,
+           Michael Hudson-Doyle <mwhudson@debian.org>
+Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-any,
                golang-ginkgo-dev,
                golang-gomega-dev,
                redis-server
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: https://github.com/go-redis/redis
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-go-redis-redis.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-go-redis-redis.git

## golang-github-go-redis-redis 6.12.0

=== debian/changelog ===
golang-github-go-redis-redis (6.12.0-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Christos Trochalakis ]
  * New upstream version 6.12.0
  * Drop debian's FTBFS patch now included upstream
  * Bump Standards-Version to 4.1.4, no changes needed

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 19 Jun 2018 09:07:58 +0300

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                golang-ginkgo-dev,
                golang-gomega-dev,
                redis-server
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/go-redis/redis
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-go-redis-redis.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-go-redis-redis.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-redis-redis
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-redis-redis.git
 XS-Go-Import-Path: github.com/go-redis/redis
 Testsuite: autopkgtest-pkg-go

## golang-github-go-redis-redis 6.14.2

=== debian/changelog ===
golang-github-go-redis-redis (6.14.2-1) unstable; urgency=medium

  * Bump Standards-Version, no changes needed
  * New upstream release

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 07 Nov 2018 12:23:26 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                golang-ginkgo-dev,
                golang-gomega-dev,
                redis-server
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/go-redis/redis
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-redis-redis
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-redis-redis.git

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-go-redis-redis-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/go-redis/redis/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-go-redis-redis 6.15.0

=== debian/changelog ===
golang-github-go-redis-redis (6.15.0-1) unstable; urgency=medium

  * Bump Standards-Version, no changes needed
  * New upstream release

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 08 Jan 2019 10:49:43 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                golang-ginkgo-dev,
                golang-gomega-dev,
                redis-server
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/go-redis/redis
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-redis-redis
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-redis-redis.git

=== debian/rules ===
#!/usr/bin/make -f

# Disabling tests during build as they require a redis instance.
# We will test using autopkgtests only.
override_dh_auto_test:

autopkgtest:
	dh_auto_test --buildsystem=golang

%:
	dh $@ --buildsystem=golang --with=golang
